using RyzStudio.Windows.Forms;
using System.Collections.Generic;

namespace BookmarkManager
{
    public interface ISupportedFile
    {


        bool IsEncryptionSupported { get; set; }

        List<string> SupportedExtensions { get; }

        bool IsSupported(string filename);

        bool IsEncrypted(string filename);

        Result Load(BookmarkTreeView treeview, string filename, string password);

        Result Save(BookmarkTreeView treeview, string filename, string password);

    }
}
